#
# spec file for package teapot (Version 1.03)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         teapot
%define TEAPOT_LANG de
%define INSTALL install -m755 -s
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
Copyright:    Michael Haardt, 1995, 1996, 1997
Group:        Applications/Spreadsheets
Provides:     teapot 
URL:          http://www.moria.de/~michael/teapot/teapot-en.html
Autoreqprov:  on
Summary:      A three dimensional spreadsheet
Version:      1.03
Release:      210
Source:     ftp://cantor.informatik.rwth-aachen.de/pub/unix/teapot-%{version}.tar.gz
Patch:      teapot-%{version}.dif
BuildRoot:  /var/tmp/BUILD_teapot

%description
Teapot is a spreadsheet program for UNIX, which uses modern concepts
besides being portable and extensible, for instance three dimensional
tables and iterative expressions.
It provides various output formats e.g. LaTeX and HTML.
There are executables in english, dutch and german available. They are
started by typing "teapot_en", "teapot_nl" or "teapot_de". Just typing
"teapot" starts the english version.

Authors:
--------
    Michael Haardt <michael@cantor.informatik.rwth-aachen.de>

SuSE series: ap

%prep 
%setup -n teapot-%{version}
%patch

%build
make 
mv teapot teapot_en
rm cat.h
ln -sf cat-de.88591.h cat.h
make clean
make
mv teapot teapot_de
rm cat.h
ln -sf cat-nl.h cat.h
make clean
make
mv teapot teapot_nl

%install
%{INSTALL_DIR} $RPM_BUILD_ROOT/usr/bin
%{INSTALL} teapot_{de,en,nl} $RPM_BUILD_ROOT/usr/bin
ln -sf teapot_en $RPM_BUILD_ROOT/usr/bin/teapot
%{INSTALL_DIR} $RPM_BUILD_ROOT%{_mandir}/man1
%{INSTALL_DATA} teapot.1.en $RPM_BUILD_ROOT%{_mandir}/man1/teapot_en.1
%{INSTALL_DATA} teapot.1.nl $RPM_BUILD_ROOT%{_mandir}/man1/teapot_nl.1
%{INSTALL_DATA} teapot.1.de.88591 $RPM_BUILD_ROOT%{_mandir}/man1/teapot_de.1
ln -sf teapot_en.1.gz $RPM_BUILD_ROOT%{_mandir}/man1/teapot.1.gz

%clean
test "$RPM_BUILD_ROOT" != / && rm -fr "$RPM_BUILD_ROOT"

%files
/usr/bin/teapot
/usr/bin/teapot_de
/usr/bin/teapot_en
/usr/bin/teapot_nl
%doc ANNOUNCE INSTALL README*
%doc examples
%doc doc/*
%doc %{_mandir}/man1/teapot_de.1.gz
%doc %{_mandir}/man1/teapot_en.1.gz
%doc %{_mandir}/man1/teapot_nl.1.gz
%doc %{_mandir}/man1/teapot.1.gz

%changelog -n teapot
* Thu May 18 2000 - nadvornik@suse.cz
- changed Group tag
* Tue Apr 18 2000 - nadvornik@suse.cz
- update to 1.03
* Fri Mar 03 2000 - ro@suse.de
- use macro for mandir
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu May 20 1999 - kukuk@suse.de
- Remove -pedantic from CFLAGS (glibc 2.1 problem)
* Thu Feb 19 1998 - max@suse.de
- new version: 1.0
- added third binary and manpage for dutch language
- english is the default language now
* Sat Nov 15 1997 - max@suse.de
- new package
- building two binaries, german and english
